Subject: Re: [PATCH 3/3] Add filter-objects command

From: Charles Bailey <[email-masked]>
Date: Fri, 19 Jun 2015 12:04:08 +0100

On Fri, Jun 19, 2015 at 11:52:28AM +0100, John Keeping wrote:
> On Fri, Jun 19, 2015 at 11:33:24AM +0100, Charles Bailey wrote:
> > So, yes, performance is definitely an issue and I could have called this
> > command "git magically-generate-all-object-for-scripts" but then, as it
> > was so easy to provide exactly the filtering that I was looking for in
> > the C code, I thought I would do that as well and then "filter-objects"
> > ("filter-all-objects"?) seemed like a better name.
> 
> By analogy with "git filter-branch", I don't think "filter-objects" is a
> good name here.  My preference would be "ls-objects".

I like that because it emphasises why I wrote it, the very basic
filtering is a nice additional feature.